org.springframework.batch.sample.domain.trade.internal

## Class JdbcCustomerDao

- java.lang.Object
- - org.springframework.dao.support.DaoSupport
  - - org.springframework.jdbc.core.support.JdbcDaoSupport
    - - org.springframework.batch.sample.domain.trade.internal.JdbcCustomerDao

- All Implemented Interfaces:
    CustomerDao, org.springframework.beans.factory.InitializingBean

      public class JdbcCustomerDao
      extends org.springframework.jdbc.core.support.JdbcDaoSupport
      implements CustomerDao

  Author:
    Lucas Ward

- - ### Field Summary

    - ### Fields inherited from class org.springframework.dao.support.DaoSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcCustomerDao()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomerCredit` | `getCustomerByName(java.lang.String name)`
    `void` | `insertCustomer(java.lang.String name, java.math.BigDecimal credit)`
    `void` | `setIncrementer(org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer incrementer)`
    `void` | `updateCustomer(java.lang.String name, java.math.BigDecimal credit)`

    - ### Methods inherited from class org.springframework.jdbc.core.support.JdbcDaoSupport

      `checkDaoConfig, createJdbcTemplate, getConnection, getDataSource, getExceptionTranslator, getJdbcTemplate, initTemplateConfig, releaseConnection, setDataSource, setJdbcTemplate`

    - ### Methods inherited from class org.springframework.dao.support.DaoSupport

      `afterPropertiesSet, initDao`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcCustomerDao

          public JdbcCustomerDao()

  - ### Method Detail

    - #### setIncrementer

          public void setIncrementer(org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer incrementer)

    - #### getCustomerByName

          public CustomerCredit getCustomerByName(java.lang.String name)

      Specified by:
        `getCustomerByName` in interface `CustomerDao`

    - #### insertCustomer

          public void insertCustomer(java.lang.String name,
                                     java.math.BigDecimal credit)

      Specified by:
        `insertCustomer` in interface `CustomerDao`

    - #### updateCustomer

          public void updateCustomer(java.lang.String name,
                                     java.math.BigDecimal credit)

      Specified by:
        `updateCustomer` in interface `CustomerDao`